# Perl Shell (pshell)

A modular Perl shell with SQLite command history.

## Features

- Executes shell commands
- Logs all commands to SQLite database
- Modular design for easy extension

## Installation

1. Install dependencies:
   ```
   cpanm --installdeps .
   ```

2. Make the shell executable:
   ```
   chmod +x pshell.pl
   ```

3. Run the shell:
   ```
   ./pshell.pl
   ```

## Usage

- Type commands as you would in a normal shell
- Type 'exit' to quit
- Command history is stored in `pshell_history.db`
